Debian Bug report logs - #645371
iceweasel: Segfault on startup (on i386)

version graph

Package: iceweasel; Maintainer for iceweasel is Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>; Source for iceweasel is src:iceweasel.

Reported by: Kurt Roeckx <kurt@roeckx.be>

Date: Sat, 15 Oct 2011 00:36:01 UTC

Severity: grave

Merged with 645386, 645389, 645396

Found in version iceweasel/7.0.1-3

Done: Mike Hommey <glandium@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#645371; Package src:iceweasel. (Sat, 15 Oct 2011 00:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
New Bug report received and forwarded. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. (Sat, 15 Oct 2011 00:36:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: submit@bugs.debian.org
Subject: iceweasel: Segfault on startup (on i386)
Date: Sat, 15 Oct 2011 02:32:11 +0200
Package: src:iceweasel
Version: 7.0.1-3
Severity: grave

Hi,

When trying to start iceweasel I get a segfault.  The backtrace
is all inside xulrunner.

Downgrading iceweasel alone isn't enough.

Downgrading iceweasel, xulrunner-7.0 and libmozjs7d to 7.0.1-2+b1
fixes the problem.


Kurt





Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#645371; Package src:iceweasel. (Sat, 15 Oct 2011 01:27:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Marc Dequènes (Duck)" <duck@duckcorp.org>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. (Sat, 15 Oct 2011 01:27:12 GMT) Full text and rfc822 format available.

Message #10 received at 645371@bugs.debian.org (full text, mbox):

From: "Marc Dequènes (Duck)" <duck@duckcorp.org>
To: 645371@bugs.debian.org
Subject: Re: iceweasel: Segfault on startup (on i386)
Date: Sat, 15 Oct 2011 03:23:41 +0200
[Message part 1 (text/plain, inline)]
Coin,

May help…

Program received signal SIGSEGV, Segmentation fault.
0xb6f9a35c in xptiInterfaceEntry::Create (name=0x0, iid=...,  
aDescriptor=0xb2da32e8, aTypelib=0xb2d39008)
    at  
/build/buildd-iceweasel_7.0.1-3-i386-X0GGbG/iceweasel-7.0.1/xpcom/reflect/xptinfo/src/xptiInterfaceInfo.cpp:80
80	/build/buildd-iceweasel_7.0.1-3-i386-X0GGbG/iceweasel-7.0.1/xpcom/reflect/xptinfo/src/xptiInterfaceInfo.cpp: No such file or  
directory.
	in  
/build/buildd-iceweasel_7.0.1-3-i386-X0GGbG/iceweasel-7.0.1/xpcom/reflect/xptinfo/src/xptiInterfaceInfo.cpp
(gdb) bt
#0  0xb6f9a35c in xptiInterfaceEntry::Create (name=0x0, iid=...,  
aDescriptor=0xb2da32e8, aTypelib=0xb2d39008)
    at  
/build/buildd-iceweasel_7.0.1-3-i386-X0GGbG/iceweasel-7.0.1/xpcom/reflect/xptinfo/src/xptiInterfaceInfo.cpp:80
#1  0xb6f9bd2c in xptiInterfaceInfoManager::VerifyAndAddEntryIfNew  
(this=0xb2d181c0, iface=0xb2d990a8, idx=5, typelib=0xb2d39008)
    at  
/build/buildd-iceweasel_7.0.1-3-i386-X0GGbG/iceweasel-7.0.1/xpcom/reflect/xptinfo/src/xptiInterfaceInfoManager.cpp:270
#2  0xb6f9bded in xptiInterfaceInfoManager::RegisterXPTHeader  
(this=0xb2d181c0, aHeader=0xb2d31420)
    at  
/build/buildd-iceweasel_7.0.1-3-i386-X0GGbG/iceweasel-7.0.1/xpcom/reflect/xptinfo/src/xptiInterfaceInfoManager.cpp:238
#3  0xb6f85098 in nsComponentManagerImpl::ManifestXPT  
(this=0xb7b4e260, cx=..., lineno=1, argv=0xbfff9bfc)
    at  
/build/buildd-iceweasel_7.0.1-3-i386-X0GGbG/iceweasel-7.0.1/xpcom/components/nsComponentManager.cpp:757
#4  0xb6f895e6 in ParseManifestCommon (aType=NS_COMPONENT_LOCATION,  
aFile=0xb7b28280, mgrcx=..., chromecx=...,
    aPath=0xbfff9e30 "components/interfaces.manifest", buf=0xb2d15419  
"", aChromeOnly=false)
    at  
/build/buildd-iceweasel_7.0.1-3-i386-X0GGbG/iceweasel-7.0.1/xpcom/components/ManifestParser.cpp:639
#5  0xb6f898c4 in ParseManifest (type=NS_COMPONENT_LOCATION,  
reader=0xb7b28580, jarPath=0xbfff9e30 "components/interfaces.manifest",
    buf=0xb2d15400 "interfaces", aChromeOnly=false) at  
/build/buildd-iceweasel_7.0.1-3-i386-X0GGbG/iceweasel-7.0.1/xpcom/components/ManifestParser.cpp:666
#6  0xb6f85b98 in nsComponentManagerImpl::RegisterJarManifest  
(this=0xb7b4e260, aReader=0xb7b28580, aPath=0xbfff9e30  
"components/interfaces.manifest",
    aChromeOnly=false) at  
/build/buildd-iceweasel_7.0.1-3-i386-X0GGbG/iceweasel-7.0.1/xpcom/components/nsComponentManager.cpp:580
#7  0xb6f85c1d in nsComponentManagerImpl::ManifestManifest  
(this=0xb7b4e260, cx=..., lineno=1, argv=0xbfffa24c)
    at  
/build/buildd-iceweasel_7.0.1-3-i386-X0GGbG/iceweasel-7.0.1/xpcom/components/nsComponentManager.cpp:677
#8  0xb6f895e6 in ParseManifestCommon (aType=NS_COMPONENT_LOCATION,  
aFile=0xb7b28280, mgrcx=..., chromecx=..., aPath=0xb7068bf1  
"chrome.manifest",
    buf=0xb7b79b88 "manifest components/components.manifest\nmanifest  
chrome/nonlocalized.manifest\nmanifest chrome/localized.manifest\n",
    aChromeOnly=false) at  
/build/buildd-iceweasel_7.0.1-3-i386-X0GGbG/iceweasel-7.0.1/xpcom/components/ManifestParser.cpp:639
#9  0xb6f898c4 in ParseManifest (type=NS_COMPONENT_LOCATION,  
reader=0xb7b28580, jarPath=0xb7068bf1 "chrome.manifest",  
buf=0xb7b79b60 "manifest",
    aChromeOnly=false) at  
/build/buildd-iceweasel_7.0.1-3-i386-X0GGbG/iceweasel-7.0.1/xpcom/components/ManifestParser.cpp:666
#10 0xb6f85b98 in nsComponentManagerImpl::RegisterJarManifest  
(this=0xb7b4e260, aReader=0xb7b28580, aPath=0xb7068bf1  
"chrome.manifest", aChromeOnly=false)
    at  
/build/buildd-iceweasel_7.0.1-3-i386-X0GGbG/iceweasel-7.0.1/xpcom/components/nsComponentManager.cpp:580
#11 0xb6f878a9 in nsComponentManagerImpl::Init (this=0xb7b4e260)
    at  
/build/buildd-iceweasel_7.0.1-3-i386-X0GGbG/iceweasel-7.0.1/xpcom/components/nsComponentManager.cpp:409
#12 0xb6f5ed09 in NS_InitXPCOM2_P (result=0xbfffaa48,  
binDirectory=0xb7b27400, appFileLocationProvider=0xbfffa8f4)
    at  
/build/buildd-iceweasel_7.0.1-3-i386-X0GGbG/iceweasel-7.0.1/xpcom/build/nsXPComInit.cpp:498
#13 0xb652aa07 in ScopedXPCOMStartup::Initialize (this=0xbfffaa48)
    at  
/build/buildd-iceweasel_7.0.1-3-i386-X0GGbG/iceweasel-7.0.1/toolkit/xre/nsAppRunner.cpp:1141
#14 0xb652e9f6 in XRE_main (argc=1, argv=0xbffff484, aAppData=0xb7b26840)
    at  
/build/buildd-iceweasel_7.0.1-3-i386-X0GGbG/iceweasel-7.0.1/toolkit/xre/nsAppRunner.cpp:3323
#15 0x08049bf5 in ?? ()
#16 0xb7d5ee46 in __libc_start_main (main=0x8049500, argc=1,  
ubp_av=0xbffff484, init=0x8056660, fini=0x8056650, rtld_fini=0xb7ff1310,
    stack_end=0xbffff47c) at libc-start.c:228
#17 0x08049c9d in ?? ()
Backtrace stopped: Not enough registers or memory available to unwind further

-- 
Marc Dequènes (Duck)
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#645371; Package src:iceweasel. (Sat, 15 Oct 2011 07:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. (Sat, 15 Oct 2011 07:45:04 GMT) Full text and rfc822 format available.

Message #15 received at 645371@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: Marc Dequènes (Duck) <duck@duckcorp.org>, 645371@bugs.debian.org
Subject: Re: Bug#645371: iceweasel: Segfault on startup (on i386)
Date: Sat, 15 Oct 2011 09:32:15 +0200
On Sat, Oct 15, 2011 at 03:23:41AM +0200, Marc Dequènes (Duck) wrote:
> Coin,
> 
> May help…
> 
> Program received signal SIGSEGV, Segmentation fault.
> 0xb6f9a35c in xptiInterfaceEntry::Create (name=0x0, iid=...,

That's interesting. I know where this comes from, I had about the same
problem on 8.0+ in the testsuite. I'm surprised the testsuite didn't
crash on 7.0 considering this...

Mike




Reply sent to Mike Hommey <glandium@debian.org>:
You have taken responsibility. (Sat, 15 Oct 2011 09:09:03 GMT) Full text and rfc822 format available.

Notification sent to Kurt Roeckx <kurt@roeckx.be>:
Bug acknowledged by developer. (Sat, 15 Oct 2011 09:09:06 GMT) Full text and rfc822 format available.

Message #20 received at 645371-close@bugs.debian.org (full text, mbox):

From: Mike Hommey <glandium@debian.org>
To: 645371-close@bugs.debian.org
Subject: Bug#645371: fixed in iceweasel 7.0.1-4
Date: Sat, 15 Oct 2011 09:05:39 +0000
Source: iceweasel
Source-Version: 7.0.1-4

We believe that the bug you reported is fixed in the latest version of
iceweasel, which is due to be installed in the Debian FTP archive:

iceweasel-dbg_7.0.1-4_amd64.deb
  to main/i/iceweasel/iceweasel-dbg_7.0.1-4_amd64.deb
iceweasel_7.0.1-4.debian.tar.gz
  to main/i/iceweasel/iceweasel_7.0.1-4.debian.tar.gz
iceweasel_7.0.1-4.dsc
  to main/i/iceweasel/iceweasel_7.0.1-4.dsc
iceweasel_7.0.1-4_amd64.deb
  to main/i/iceweasel/iceweasel_7.0.1-4_amd64.deb
libmozjs-dev_7.0.1-4_amd64.deb
  to main/i/iceweasel/libmozjs-dev_7.0.1-4_amd64.deb
libmozjs7d-dbg_7.0.1-4_amd64.deb
  to main/i/iceweasel/libmozjs7d-dbg_7.0.1-4_amd64.deb
libmozjs7d_7.0.1-4_amd64.deb
  to main/i/iceweasel/libmozjs7d_7.0.1-4_amd64.deb
spidermonkey-bin_7.0.1-4_amd64.deb
  to main/i/iceweasel/spidermonkey-bin_7.0.1-4_amd64.deb
xulrunner-7.0-dbg_7.0.1-4_amd64.deb
  to main/i/iceweasel/xulrunner-7.0-dbg_7.0.1-4_amd64.deb
xulrunner-7.0_7.0.1-4_amd64.deb
  to main/i/iceweasel/xulrunner-7.0_7.0.1-4_amd64.deb
xulrunner-dev_7.0.1-4_amd64.deb
  to main/i/iceweasel/xulrunner-dev_7.0.1-4_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 645371@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mike Hommey <glandium@debian.org> (supplier of updated iceweasel package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 15 Oct 2011 09:44:32 +0200
Source: iceweasel
Binary: iceweasel iceweasel-dbg xulrunner-7.0 libmozjs7d libmozjs-dev libmozjs7d-dbg spidermonkey-bin xulrunner-dev xulrunner-7.0-dbg
Architecture: source amd64
Version: 7.0.1-4
Distribution: unstable
Urgency: low
Maintainer: Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>
Changed-By: Mike Hommey <glandium@debian.org>
Description: 
 iceweasel  - Web browser based on Firefox
 iceweasel-dbg - debugging symbols for iceweasel
 libmozjs-dev - Development files for the Mozilla SpiderMonkey JavaScript library
 libmozjs7d - Mozilla SpiderMonkey JavaScript library
 libmozjs7d-dbg - Development files for the Mozilla SpiderMonkey JavaScript library
 spidermonkey-bin - standalone JavaScript/ECMAScript (ECMA-262) interpreter
 xulrunner-7.0 - XUL + XPCOM application runner
 xulrunner-7.0-dbg - Debugging symbols for the Gecko engine library
 xulrunner-dev - Development files for the Gecko engine library
Closes: 645371
Changes: 
 iceweasel (7.0.1-4) unstable; urgency=low
 .
   * xpcom/base/nscore.h, xpcom/glue/nsID.h: Don't force nsID to align to
     64-bit boundary ; instead, use 32-bits comparisons in nsID::Equals,
     effectively reverting bz#164580. Closes: #645371.
Checksums-Sha1: 
 561b6c73371090cdda0a5d3372edeb3ca87f28dc 3114 iceweasel_7.0.1-4.dsc
 394a2d17bbceb6ee8d1e273ca5b2dad80af9f6e3 282428 iceweasel_7.0.1-4.debian.tar.gz
 e51f727400f5433c9549186ef76ee862a482d67b 1561480 iceweasel_7.0.1-4_amd64.deb
 af53947aaf214def8d8a54a21cc98ac22109eb5e 512578 iceweasel-dbg_7.0.1-4_amd64.deb
 34cae840f0a309a521983cc28fc22fba2167e165 9943354 xulrunner-7.0_7.0.1-4_amd64.deb
 1299a9b5f9c88e0239c3adf52ec4001e829942d1 1388758 libmozjs7d_7.0.1-4_amd64.deb
 f1f6f122da3e88440b18bb77be7f368d175be88c 490830 libmozjs-dev_7.0.1-4_amd64.deb
 9d9ba10564b077eb7c4925baa89565f63f589839 12547118 libmozjs7d-dbg_7.0.1-4_amd64.deb
 d8fd501f4cd6e5f595cfbca1e20165199a0a335c 1383226 spidermonkey-bin_7.0.1-4_amd64.deb
 52e087679d9cda6de72008b04479d7e7a76e726c 5902882 xulrunner-dev_7.0.1-4_amd64.deb
 ba8a75bbe1062b81335d13c9e667b71336d7e80a 144835708 xulrunner-7.0-dbg_7.0.1-4_amd64.deb
Checksums-Sha256: 
 de40d28c71e0f8235c0de1229dbc6959213da2155f2588e4841adca3f5b65642 3114 iceweasel_7.0.1-4.dsc
 bdb035cf8b2fefb78ac251863985a85cb045b8c50916914c02cad6ac68bc0885 282428 iceweasel_7.0.1-4.debian.tar.gz
 d697d934f59f5e41645b4a507c29010ddbe2b8b6e0995252efd273bf0833dcb3 1561480 iceweasel_7.0.1-4_amd64.deb
 55c44d008475c88388f051a9f9fe9305a5209ce9929f22c0f8dc90c84a4f9e8d 512578 iceweasel-dbg_7.0.1-4_amd64.deb
 96cd89569524b335b15762e8110e96d4951c9a1f29953ead316784ceb0a1359d 9943354 xulrunner-7.0_7.0.1-4_amd64.deb
 3e0ab8af2b48fd1f96bb11656814c01bf9764eaa346bd31352b2a0a469330810 1388758 libmozjs7d_7.0.1-4_amd64.deb
 47869fbdd6e6a4cd752457b825e7cddade36229c8bec66e8ed3144dc80773860 490830 libmozjs-dev_7.0.1-4_amd64.deb
 30bae05c8f2e4a4aa0b8af42eeb266a49b21b4a7822a4775b772473023b2146d 12547118 libmozjs7d-dbg_7.0.1-4_amd64.deb
 0adf862159f2c8cbe0a875874c2bcfbe8a2b9d34110b319636edc62aa34c7ee7 1383226 spidermonkey-bin_7.0.1-4_amd64.deb
 1b884dd1a7193bcb71aba31e0cde98a4ceff074081d466bcf31296a89547cc37 5902882 xulrunner-dev_7.0.1-4_amd64.deb
 22b4dc5cd3d728aad4030264bce08ad25b1ab8e4b24fb8491e49ab8750f400dc 144835708 xulrunner-7.0-dbg_7.0.1-4_amd64.deb
Files: 
 e35f1e0a7d5257fff80b37c957666414 3114 web optional iceweasel_7.0.1-4.dsc
 6677ac8574a820c935b59efc17c0fe26 282428 web optional iceweasel_7.0.1-4.debian.tar.gz
 425fda001928962385e6cb3d5ae27e17 1561480 web optional iceweasel_7.0.1-4_amd64.deb
 2a77d43f136dec396709b3a9dcf71258 512578 debug extra iceweasel-dbg_7.0.1-4_amd64.deb
 5375fc654b67cbcd8cc19eaeba6dbfe4 9943354 libs optional xulrunner-7.0_7.0.1-4_amd64.deb
 916e5b723c2df93ff429c6b900caccb6 1388758 libs optional libmozjs7d_7.0.1-4_amd64.deb
 40a2932958f21ed28cffc36e263e91f9 490830 libdevel optional libmozjs-dev_7.0.1-4_amd64.deb
 9d95115467d7d964001f3ace210572f7 12547118 debug extra libmozjs7d-dbg_7.0.1-4_amd64.deb
 558db667b8aa8f8b0cd09dab47761396 1383226 interpreters optional spidermonkey-bin_7.0.1-4_amd64.deb
 d9e804b7e4fc5e9e1b16a3fbecc9c426 5902882 libdevel optional xulrunner-dev_7.0.1-4_amd64.deb
 6782f65baa355706764b4f2800c6bb3d 144835708 debug extra xulrunner-7.0-dbg_7.0.1-4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIVAwUBTpk/k+QqoE+mqoxyAQjGqQ/9EBByLMSWx0dW0j7qBVHQ/8gzdgI9rMNH
PK+oaky+/Hysg2HZc22mldIEard8HOs7klVn2XJYKmN+jZBblg8Vh8lS3nezW2wk
9+XwVdrd/gOlAdSFokthtNAy1eeGwP2cS0VFhCFZnxQUv0f5/r2i2mROyz9beq2U
vhYqcx2KypdVYxNmBAT/2RvVGGFi9wQ9FDcpokN+Gs16rGX/TzKezYsw4lSSzphd
62MBqvhQr7b8QHEAoP28MeLUoUo0pb/BdRlwKcxowNPXe7/cUtsmx/KkmzLpHBt9
pQoIkSc+t3tXnM1LgswAQxGj2p2R+2v0+YfZSqQVUVlkip1eQITWXHTG8Vuzyc0e
2Sb2NNqAMH48PP8ZBDnvnTchEhAYuH2WktuQVaIeVW26zXexFq2ZhQ2GQsXifceS
d6WPYb63JNoVCmZJVtEgE2MhJ0JnswoacbtIm2ZB7YtwwvKwc2qUGGF30F7FkdPB
TQJ21hYA/rGSCauyaibpy8mk4E6tkCmcJeaMBt4Slsu0ICIpVUQrlVyMmkUALp0K
HxBcEqGr6NREV2Bwcrg50ny/3h6R0pgUF1tDh9c5amXtWK1zmFCStq1vMkeldBOY
xOIPLirUA5yLTL0AYh6l9jY2IMWKyfz9F+oG5oBcD5DmTXpZtUSbnMuXR11J+Idp
IA6RgdocnsM=
=8Esp
-----END PGP SIGNATURE-----





Bug reassigned from package 'src:iceweasel' to 'iceweasel'. Request was from Mike Hommey <glandium@debian.org> to control@bugs.debian.org. (Sat, 15 Oct 2011 10:18:38 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions iceweasel/7.0.1-3. Request was from Mike Hommey <glandium@debian.org> to control@bugs.debian.org. (Sat, 15 Oct 2011 10:18:39 GMT) Full text and rfc822 format available.

Bug No longer marked as fixed in versions iceweasel/7.0.1-4. Request was from Mike Hommey <glandium@debian.org> to control@bugs.debian.org. (Sat, 15 Oct 2011 10:18:39 GMT) Full text and rfc822 format available.

Forcibly Merged 645371 645389. Request was from Mike Hommey <glandium@debian.org> to control@bugs.debian.org. (Sat, 15 Oct 2011 10:18:40 GMT) Full text and rfc822 format available.

Forcibly Merged 645371 645386 645389. Request was from Mike Hommey <glandium@debian.org> to control@bugs.debian.org. (Sat, 15 Oct 2011 10:18:41 GMT) Full text and rfc822 format available.

Forcibly Merged 645371 645386 645389 645396. Request was from Mike Hommey <glandium@debian.org> to control@bugs.debian.org. (Sat, 15 Oct 2011 10:45:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#645371; Package iceweasel. (Sat, 15 Oct 2011 13:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Erik Auerswald <auerswal@unix-ag.uni-kl.de>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. (Sat, 15 Oct 2011 13:15:04 GMT) Full text and rfc822 format available.

Message #37 received at 645371@bugs.debian.org (full text, mbox):

From: Erik Auerswald <auerswal@unix-ag.uni-kl.de>
To: Debian Bug Tracking System <645371@bugs.debian.org>
Subject: Re: iceweasel: Segfault on startup (on i386)
Date: Sat, 15 Oct 2011 15:05:50 +0200
Package: iceweasel
Version: 7.0.1-3
Followup-For: Bug #645371

Hi,

I just want to confirm that iceweasel crashes with a segmentation fault
on startup.


-- Package-specific info:


-- Addons package information

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 3.0.0-2-686-pae (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages iceweasel depends on:
ii  debianutils         4.0.4     
ii  fontconfig          2.8.0-3   
ii  libc6               2.13-21   
ii  libgcc1             1:4.6.1-15
ii  libgdk-pixbuf2.0-0  2.24.0-1  
ii  libglib2.0-0        2.28.6-4  
ii  libgtk2.0-0         2.24.6-2  
ii  libnspr4-0d         4.8.9-1   
ii  libstdc++6          4.6.1-15  
ii  procps              1:3.2.8-11
ii  xulrunner-7.0       7.0.1-3   

iceweasel recommends no packages.

Versions of packages iceweasel suggests:
ii  libgssapi-krb5-2    1.9.1+dfsg-3
ii  mozplugger          <none>      
ii  ttf-lyx             2.0.1-1     
ii  ttf-mathematica4.1  <none>      
ii  xfonts-mathml       4           

Versions of packages xulrunner-7.0 depends on:
ii  libasound2                1.0.24.1-4      
ii  libatk1.0-0               2.2.0-2         
ii  libbz2-1.0                1.0.5-7         
ii  libc6                     2.13-21         
ii  libcairo2                 1.10.2-6.1      
ii  libdbus-1-3               1.4.16-1        
ii  libevent-1.4-2            1.4.14b-stable-1
ii  libfontconfig1            2.8.0-3         
ii  libfreetype6              2.4.6-2         
ii  libgcc1                   1:4.6.1-15      
ii  libgdk-pixbuf2.0-0        2.24.0-1        
ii  libglib2.0-0              2.28.6-4        
ii  libgtk2.0-0               2.24.6-2        
ii  libhunspell-1.3-0         1.3.2-4         
ii  libjpeg8                  8c-2            
ii  libmozjs7d                7.0.1-3         
ii  libnotify4                0.7.4-1         
ii  libnspr4-0d               4.8.9-1         
ii  libnss3-1d                3.12.11-3       
ii  libpango1.0-0             1.29.4-1        
ii  libpixman-1-0             0.22.2-1        
ii  libreadline6              6.2-7           
ii  libsqlite3-0              3.7.8-1         
ii  libstartup-notification0  0.12-1          
ii  libstdc++6                4.6.1-15        
ii  libvpx0                   0.9.7.p1-2      
ii  libx11-6                  2:1.4.4-2       
ii  libxext6                  2:1.3.0-3       
ii  libxrender1               1:0.9.6-2       
ii  libxt6                    1:1.1.1-2       
ii  zlib1g                    1:1.2.3.4.dfsg-3

Versions of packages xulrunner-7.0 suggests:
pn  libcanberra0      0.28-2
pn  libdbus-glib-1-2  0.98-1
pn  libgnomeui-0      <none>

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#645371; Package iceweasel. (Sat, 15 Oct 2011 23:09:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Erik Auerswald <auerswal@unix-ag.uni-kl.de>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. (Sat, 15 Oct 2011 23:09:09 GMT) Full text and rfc822 format available.

Message #42 received at 645371@bugs.debian.org (full text, mbox):

From: Erik Auerswald <auerswal@unix-ag.uni-kl.de>
To: Debian Bug Tracking System <645371@bugs.debian.org>
Subject: Re: iceweasel: Segfault on startup (on i386)
Date: Sun, 16 Oct 2011 01:05:13 +0200
Hi,

iceweasel Version: 7.0.1-4 works for me. :-)

uname -a:
Linux fal 3.0.0-2-686-pae #1 SMP Fri Oct 7 21:55:20 UTC 2011 i686 GNU/Linux

Thanks,
Erik




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 13 Nov 2011 07:36:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:04:16 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.